@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&display=swap');

:root {
  --color-background: #12130F;
  --color-surface: #A49E8D;
  --color-primary: #2A4494;
  --color-text: #B2E6D4;
}

a {
  color: var(--color-primary);
}

h1,
h2 {
  text-decoration: underline;
}

pre {
  padding: 1rem;
  border-radius: 0rem;
  overflow-x: auto;
}


html {
  /*background: linear-gradient(to bottom, var(--color-background), #B2E6D4);*/
  background: var(--color-background);
  min-height: 100vh;
}


body {
  font-family: "JetBrains Mono";
  color: var(--color-text);
  padding: 2rem;
  /*margin: auto;
  width: 90%;
  max-width: 800px;*/
}



.summary {
  font-size: small;
  font-weight: 300;
  position: relative;
  max-height: 200px;
  /* Set your desired max height */
  overflow: hidden;

  -webkit-mask-image: linear-gradient(to bottom, black 0%, transparent 100%);
  mask-image: linear-gradient(to bottom, black 0%, transparent 100%);
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
}

.taglist {
  padding-top: 2rem;
  text-align: center;
  clear: both;
}

#nextprev {
  padding-top: 2rem;
}

#prevart {
  float: left;
  text-align: left;
}

#nextart {
  float: right;
  text-align: right;
}

#nextart,
#prevart {
  max-width: 33%;
}

footer {
  padding-top: 3rem;
  padding-bottom: 4em;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}


.link-list {
  list-style: none;
}

.link-list .title {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
